Create an item collection
Creates an item collection in the specified knowledge store. An item collection is a named collection of items. Use item collections to organize and reference subsets of items together.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
knowledge_store_id
The unique identifier of the knowledge store.
Request
This endpoint expects an object.
name
The name of the item collection. Must be unique within the knowledge store.
description
An optional description of the item collection.
metadata
Custom metadata for the item collection. Both keys and values must be strings.
Response headers
Location
The URL of the newly created item collection. Format: /knowledge-stores/{knowledge_store_id}/item-collections/{collection_id}.
Response
The item collection has been successfully created.
_id
The unique identifier of the item collection.
knowledge_store_id
The unique identifier of the knowledge store this collection belongs to.
name
The name of the item collection.
description
The description of the item collection.
metadata
Custom metadata for the item collection.
member_count
The number of items in the collection.
created_at
The date and time when the item collection was created, in the RFC 3339 format.
updated_at
The date and time when the item collection was last updated, in the RFC 3339 format.
Errors
400
Bad Request Error